package com.cm.common.pojo.dtos.department;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: DepartmentSortDTO
 * @Description: 部门
 * @Author: WangGeng
 * @Date: 2021/6/24 21:21
 * @Version: 1.0
 **/
public class DepartmentSortDTO implements Serializable {

    private static final long serialVersionUID = -5063411302090290214L;
    private String departmentId;
    private String departmentParentId;
    private String departmentName;
    private String departmentCode;
    private String departmentType;

    public String getDepartmentId() {
        return departmentId == null ? "" : departmentId.trim();
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public String getDepartmentParentId() {
        return departmentParentId == null ? "" : departmentParentId.trim();
    }

    public void setDepartmentParentId(String departmentParentId) {
        this.departmentParentId = departmentParentId;
    }

    public String getDepartmentName() {
        return departmentName == null ? "" : departmentName.trim();
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getDepartmentCode() {
        return departmentCode == null ? "" : departmentCode.trim();
    }

    public void setDepartmentCode(String departmentCode) {
        this.departmentCode = departmentCode;
    }

    public String getDepartmentType() {
        return departmentType == null ? "" : departmentType.trim();
    }

    public void setDepartmentType(String departmentType) {
        this.departmentType = departmentType;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"departmentId\":\"")
                .append(departmentId).append('\"');
        sb.append(",\"departmentName\":\"")
                .append(departmentName).append('\"');
        sb.append(",\"departmentCode\":\"")
                .append(departmentCode).append('\"');
        sb.append(",\"departmentType\":\"")
                .append(departmentType).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
